Page MenuHomePhabricator

Release 6.3
Closed, ResolvedPublic

Description

Release version: 6.3.0
Release tag: 6.3
Release SHA1: 76b013dc2e8cc8365158395548fe93005b39c88a
App Store Submission Date: 7/10
App Store Approval Date: 7/11
App Store Release Date: 7/11
Regression Testing URL: See subtask.


Pre-release

  • File subtask for assets (if needed)
  • Submit "What’s New" on iTunes Connect for translation
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for smoke tests and notify TSG with RC build number
  • Upload new screenshots & app icons to iTunes Connect (if needed)
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Jun 27 2019, 8:03 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptJun 27 2019, 8:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as High priority.Jun 27 2019, 8:03 PM
JMinor updated the task description. (Show Details)Jun 28 2019, 4:58 PM
JMinor reassigned this task from JMinor to LGoto.Jul 15 2019, 6:48 PM
JMinor updated the task description. (Show Details)
JMinor added a subscriber: JMinor.
LGoto updated the task description. (Show Details)Jul 15 2019, 6:59 PM
LGoto closed this task as Resolved.Jul 15 2019, 7:31 PM
LGoto removed LGoto as the assignee of this task.
LGoto updated the task description. (Show Details)